package handler

import (
	"github.com/gin-gonic/gin"
	"youngee_b_api/model/http_model"
)

func WrapLocalLifeAddToListHandler(ctx *gin.Context) {
	handler := newLocalLifeAddToListHandler(ctx)
	baseRun(handler)
}

func newLocalLifeAddToListHandler(ctx *gin.Context) *LocalLifeAddToListHandler {
	return &LocalLifeAddToListHandler{
		req:  http_model.NewLocalLifeAddToListRequest(),
		resp: http_model.NewLocalLifeAddToListResponse(),
		ctx:  ctx,
	}
}

type LocalLifeAddToListHandler struct {
	req  *http_model.LocalLifeAddToListRequest
	resp *http_model.CommonResponse
	ctx  *gin.Context
}

func (h *LocalLifeAddToListHandler) getRequest() interface{} {
	return h.req
}
func (h *LocalLifeAddToListHandler) getContext() *gin.Context {
	return h.ctx
}
func (h *LocalLifeAddToListHandler) getResponse() interface{} {
	return h.resp
}
func (h *LocalLifeAddToListHandler) run() {

}

func (h *LocalLifeAddToListHandler) checkParam() error {
	return nil
}
